Developers

Set User role sets

PATCH
/user/users/{id}/set-role-sets

Set User role sets

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

User identifier

Query Parameters

exists[ssoProvider]?boolean

User exists[ssoProvider]

ssoProviderIds?array<>

User ssoProviderIds

Request Body

The updated User resource

TypeScript Definitions

Use the request body type in TypeScript.

roleSets?array<>

Response Body

curl -X PATCH "https://example.com/user/users/string/set-role-sets" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "active",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",  "contactInfo": [    {      "type": "string",      "value": "string",      "isDefault": true    }  ],  "canChangeEmail": true,  "hourlyRate": null,  "decorator": "string",  "roleSets": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "name": "string",      "roles": [        "Check allowed_roles.yaml"      ]    }  ],  "tasksPerWorkDay": 0,  "id": "string",  "firstName": "string",  "lastName": "string",  "email": "string",  "jobPosition": "string",  "jobPositionName": "string",  "contractorName": "string",  "contractorId": "string",  "pictureSm": "string",  "pictureLg": "string",  "phoneNumber": "string",  "canLogIn": true,  "allowApiTokenAuthentication": true,  "isExternal": true,  "canManage": true,  "isUsingMobile": true,  "lastActivity": "string",  "lastActivityMobile": "string",  "shortCode": "string",  "hoursPerWorkDay": 0,  "userDepartments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "isLeader": true,      "department": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    }  ]}